Subject: [PATCH v2] USB: Support for LPC32xx SoC

From: [email-masked] (Roland Stigge)
Date: Sat, 25 Feb 2012 15:03:46 +0100

On 25/02/12 04:51, Wolfram Sang wrote:
>> Unfortunately, the way that ohci handles the abstraction between
>> the various implementations is backwards, it would be much easier
>> if the main driver was following that model to start with.
> 
> ... exactly for that reason I didn't suggest it. Looking at other
> ohci-sources (e.g. ohci-omap.c), machine_is_* seems to be the
> consistent use-case.

OK, considering this, I for now used machine_is_*() to get rid of the
#ifdefs.

Using platform_device_id.driver_data as Arnd suggested is also a good
idea, and switching to it will be easy when it is due.

Thanks in advance,

Roland